Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1133938 - SD inactive after 2nd extension (with already added LUN)
Summary: SD inactive after 2nd extension (with already added LUN)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-26 13:33 UTC by Julio Entrena Perez
Modified: 2018-12-06 17:53 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-3.5.0_rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:08:42 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 19633 None None None Never

Description Julio Entrena Perez 2014-08-26 13:33:17 UTC
Description of problem:
After adding a FC LUN to a SD, RHEV allows the same LUN to be added again to the SD thus rendering the SD inactive.

Version-Release number of selected component (if applicable):
rhevm-3.3.3-0.52.el6ev

How reproducible:
Unknown
End user lost connection to RHEV-M after requesting first extension with LUN A.
After logging back in he requested extension with LUNs A and B but LUN A had already been added.

Steps to Reproduce:
1. Present two LUNs (A and B) to the hosts.
2. Add LUN A to a storage domain. A PV is created on LUN A with UUID UA1.
3. Add LUNs A and B to the same storage domain. A PV is created in LUNs A and B with UUIDs UA2 and UB.

Actual results:
LVM will miss the PV with UUID UA1.
getMetaDataMapping fails.
Storage domain becomes inactive.

Expected results:
RHEV does not allow the user to add the same LUN _again_ to the SD.

Additional info:

Comment 3 Maor 2014-09-02 08:35:18 UTC
Hi Julio,

when the customer tried the second extension of the Storage Domain, did he get any warning that the LUN was being used by a VG (see warning example at [1])

Since we can not be sure if the PV is currently being used by another user or it is already un-relevant, the GUI should warn the user before overriding this certain PV.

[1]
This operation might be unrecoverable and destructive!
The following LUNs are already in use:
- 3600144f09dbd050000004ddcc2550027 (Used by VG: p6GoVe-0CHV-Qoh5-zlVZ-SWpa-vabz-iPBAu1)?

Comment 6 Allon Mureinik 2014-09-10 11:52:01 UTC
Daniel - Can this be related to bug 955661 ?

Comment 7 Daniel Erez 2014-09-10 12:16:59 UTC
(In reply to Allon Mureinik from comment #6)
> Daniel - Can this be related to bug 955661 ?

Yes, seems to be a similar issue. We should check if the described scenario can be reproduced on a recent build.

Comment 8 Allon Mureinik 2014-09-11 13:40:56 UTC
(In reply to Daniel Erez from comment #7)
> (In reply to Allon Mureinik from comment #6)
> > Daniel - Can this be related to bug 955661 ?
> 
> Yes, seems to be a similar issue. We should check if the described scenario
> can be reproduced on a recent build.
Please do, and close as a duplicate if it really is.

Comment 9 Daniel Erez 2014-09-15 16:36:17 UTC
(In reply to Allon Mureinik from comment #8)
> (In reply to Daniel Erez from comment #7)
> > (In reply to Allon Mureinik from comment #6)
> > > Daniel - Can this be related to bug 955661 ?
> > 
> > Yes, seems to be a similar issue. We should check if the described scenario
> > can be reproduced on a recent build.
> Please do, and close as a duplicate if it really is.

Couldn't reproduce the described scenario on latest 3.5 build. Marking as duplicate.

*** This bug has been marked as a duplicate of bug 955661 ***

Comment 10 Julio Entrena Perez 2014-09-16 10:01:50 UTC
(In reply to Daniel Erez from comment #9)
> 
> *** This bug has been marked as a duplicate of bug 955661 ***

Bug 955661 reads: 

"Happens only when force overriding LUN when extending storage domain"

But as per comment 1 that's not the case in support case 01179519:

Thread-270623::INFO::2014-08-22 15:04:30,348::logUtils::44::dispatcher::(wrapper) Run and protect: extendStorageDomain(sdUUID='0d0c9197-d494-4c95-b07d-cf0ac85ec9f8', spUUID='6a02ed2b-2fc1-45e7-8980-c53a720b180c', guids=['200173800642a0e25'], force=False, options=None)

so re-opening this BZ and re-attaching this case to it, please review.

Comment 11 Daniel Erez 2014-09-16 10:52:13 UTC
(In reply to Julio Entrena Perez from comment #10)
> (In reply to Daniel Erez from comment #9)
> > 
> > *** This bug has been marked as a duplicate of bug 955661 ***
> 
> Bug 955661 reads: 
> 
> "Happens only when force overriding LUN when extending storage domain"
> 
> But as per comment 1 that's not the case in support case 01179519:
> 
> Thread-270623::INFO::2014-08-22
> 15:04:30,348::logUtils::44::dispatcher::(wrapper) Run and protect:
> extendStorageDomain(sdUUID='0d0c9197-d494-4c95-b07d-cf0ac85ec9f8',
> spUUID='6a02ed2b-2fc1-45e7-8980-c53a720b180c', guids=['200173800642a0e25'],
> force=False, options=None)
> 
> so re-opening this BZ and re-attaching this case to it, please review.

Correct, missed it. The underlined issue seems to be the same; i.e. the same patch resolved both scenarios (couldn't reproduce on latest 3.5 build). But since the scenarios are a bit different, moving to modified for re-verification.

Comment 14 Aharon Canan 2014-09-29 06:07:38 UTC
How did you do it? via rest api?

Comment 16 Aharon Canan 2014-10-05 07:30:46 UTC
verified using vt4

Luns that in use are greyed out.

Comment 18 errata-xmlrpc 2015-02-11 18:08:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.